Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# OpenCVTexture Class Reference

A specialization on VideoTexture that takes its input using the CV library, to produce an animated texture, with its source taken from an .avi file or from a camera input. More...

List of all members.

## Public Member Functions
| OpenCVTexture (string name)
| Sets up the texture to read frames from a camera.
| OpenCVTexture ()
| Sets up the texture to read frames from a camera.
bool | fromCamera (int camera_index)
| Sets up the OpenCVTexture (or the indicated page, if z is specified) to accept its input from the camera with the given index number, or the default camera if the index number is -1 or unspecified.
bool | fromCamera (int camera_index, int z)
| Sets up the OpenCVTexture (or the indicated page, if z is specified) to accept its input from the camera with the given index number, or the default camera if the index number is -1 or unspecified.
bool | fromCamera (int camera_index, int z, int alpha_file_channel)
| Sets up the OpenCVTexture (or the indicated page, if z is specified) to accept its input from the camera with the given index number, or the default camera if the index number is -1 or unspecified.
bool | fromCamera (int camera_index, int z, int alpha_file_channel, LoaderOptions const options)
| Sets up the OpenCVTexture (or the indicated page, if z is specified) to accept its input from the camera with the given index number, or the default camera if the index number is -1 or unspecified.
bool | fromCamera ()
| Sets up the OpenCVTexture (or the indicated page, if z is specified) to accept its input from the camera with the given index number, or the default camera if the index number is -1 or unspecified.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

A specialization on VideoTexture that takes its input using the CV library, to produce an animated texture, with its source taken from an .avi file or from a camera input.

## Constructor & Destructor Documentation

OpenCVTexture | ( | string | name | ) |

Sets up the texture to read frames from a camera.

OpenCVTexture | ( |  | ) |

Sets up the texture to read frames from a camera.

## Member Function Documentation

bool fromCamera | ( | int | camera_index,
|  | int | z,
|  | int | alpha_file_channel,
|  | LoaderOptions const | options
| ) |  |

Sets up the OpenCVTexture (or the indicated page, if z is specified) to accept its input from the camera with the given index number, or the default camera if the index number is -1 or unspecified.

If alpha_file_channel is 0, then the camera image becomes a normal RGB texture. If it is 1, 2, or 3, then the camera image becomes an alpha texture, using the indicated channel of the source.

bool fromCamera | ( | int | camera_index,
|  | int | z,
|  | int | alpha_file_channel
| ) |  |

Sets up the OpenCVTexture (or the indicated page, if z is specified) to accept its input from the camera with the given index number, or the default camera if the index number is -1 or unspecified.

If alpha_file_channel is 0, then the camera image becomes a normal RGB texture. If it is 1, 2, or 3, then the camera image becomes an alpha texture, using the indicated channel of the source.

bool fromCamera | ( |  | ) |

Sets up the OpenCVTexture (or the indicated page, if z is specified) to accept its input from the camera with the given index number, or the default camera if the index number is -1 or unspecified.

If alpha_file_channel is 0, then the camera image becomes a normal RGB texture. If it is 1, 2, or 3, then the camera image becomes an alpha texture, using the indicated channel of the source.

bool fromCamera | ( | int | camera_index | ) |

Sets up the OpenCVTexture (or the indicated page, if z is specified) to accept its input from the camera with the given index number, or the default camera if the index number is -1 or unspecified.

If alpha_file_channel is 0, then the camera image becomes a normal RGB texture. If it is 1, 2, or 3, then the camera image becomes an alpha texture, using the indicated channel of the source.

bool fromCamera | ( | int | camera_index,
|  | int | z
| ) |  |

Sets up the OpenCVTexture (or the indicated page, if z is specified) to accept its input from the camera with the given index number, or the default camera if the index number is -1 or unspecified.

If alpha_file_channel is 0, then the camera image becomes a normal RGB texture. If it is 1, 2, or 3, then the camera image becomes an alpha texture, using the indicated channel of the source.

static TypeHandle getClassType | ( |  | ) | `[static]`

All Classes Namespaces Functions Variables Enumerations Enumerator Properties